package org.openxma.dsl.reference.jsr303.dto;

import java.io.Serializable;
import javax.validation.constraints.Size;
import org.openxma.dsl.reference.jsr303.dto.Jsr303BaseEntityView;
import org.openxma.dsl.reference.jsr303.validation.ValidJsr303BaseEntityView;

@ValidJsr303BaseEntityView
public abstract class Jsr303BaseEntityViewGen implements Serializable {
	private static final long serialVersionUID = -817745342;
	@Size.List({
		@Size(max=10,message="{validation.Size.String.Jsr303BaseEntityView.baseString}"),
		@Size(min=5,max=10,message="{validation.Size.String.Jsr303BaseEntityView.baseString}")
	})
	protected String baseString;
	
	public String getBaseString() {
		return this.baseString;
	}
	
	public void setBaseString(String baseString) {
		this.baseString=baseString;
	}
	
	
	@Override
	public String toString() {
		StringBuilder toStringBuilder = new StringBuilder("Jsr303BaseEntityView [");
		toStringBuilder.append("baseString=").append(getBaseString());
		return toStringBuilder.append("]").toString();
	}
}
