package org.openxma.dsl.reference.service;

import java.util.Collection;
import org.openxma.dsl.platform.query.Expression;
import org.openxma.dsl.reference.SupplierAddress;
import org.openxma.dsl.reference.dto.SupplierNameView;
import org.openxma.dsl.reference.dto.SupplierNameView2;
import org.openxma.dsl.reference.dto.SupplierView;
public interface SupplierServiceGen {
	Collection<SupplierNameView> findAllByCompanyNamePaging(String companyName,Integer firstResult,Integer maxResults);
	Collection<SupplierNameView> findAllByCompanyNamePaging(String companyName,Expression _filter);
	Collection<SupplierView> findAllByAddress(SupplierAddress address);
	Collection<SupplierView> findAllByAddress(SupplierAddress address,Expression _filter);
	Collection<SupplierView> findWithUnusedParameter(String companyName,String code);
	Collection<SupplierView> findWithUnusedParameter(String companyName,String code,Expression _filter);
	Collection<SupplierView> findProductSuppliers();
	Collection<SupplierView> findProductSuppliers(Expression _filter);
	Collection<SupplierNameView2> findAllSupplierNames();
	Collection<SupplierNameView2> findAllSupplierNames(Expression _filter);
	Collection<SupplierNameView> findAllSupplierNames2();
	Collection<SupplierNameView> findAllSupplierNames2(Expression _filter);
	SupplierView save(SupplierView supplierView);
	SupplierView loadSupplierView(String oid);
	void update(SupplierView supplierView);
	void deleteSupplier(String oid);
	SupplierView saveOrUpdate(SupplierView supplierView);
}
