package org.openxma.dsl.reference.dto;

import java.io.Serializable;
import java.util.Date;
import org.openxma.dsl.reference.types.valueobject.ProductId;

public abstract class OrderItemViewGen implements Serializable {
	private static final long serialVersionUID = 1070503018;
	protected String oid;
	protected Date version;
	protected Integer itemNo;
	protected Long quantity;
	protected String orderOid;
	protected ProductId productOid;
	
	public String getOid() {
		return this.oid;
	}
	
	public void setOid(String oid) {
		this.oid=oid;
	}
	
	public Date getVersion() {
		return this.version;
	}
	
	public void setVersion(Date version) {
		this.version=version;
	}
	
	public Integer getItemNo() {
		return this.itemNo;
	}
	
	public void setItemNo(Integer itemNo) {
		this.itemNo=itemNo;
	}
	
	public Long getQuantity() {
		return this.quantity;
	}
	
	public void setQuantity(Long quantity) {
		this.quantity=quantity;
	}
	
	public String getOrderOid() {
		return this.orderOid;
	}
	
	public void setOrderOid(String orderOid) {
		this.orderOid=orderOid;
	}
	
	public ProductId getProductOid() {
		return this.productOid;
	}
	
	public void setProductOid(ProductId productOid) {
		this.productOid=productOid;
	}
	
	
	@Override
	public String toString() {
		StringBuilder toStringBuilder = new StringBuilder("OrderItemView [");
		toStringBuilder.append("oid=").append(getOid()).append(",");
		toStringBuilder.append("version=").append(getVersion()).append(",");
		toStringBuilder.append("itemNo=").append(getItemNo()).append(",");
		toStringBuilder.append("quantity=").append(getQuantity()).append(",");
		toStringBuilder.append("orderOid=").append(getOrderOid()).append(",");
		toStringBuilder.append("productOid=").append(getProductOid());
		return toStringBuilder.append("]").toString();
	}
}
