package org.openxma.dsl.reference.dtoassembler.dto;

import java.io.Serializable;
import java.util.Date;
import org.openxma.dsl.reference.dtoassembler.dto.ParentView;

public abstract class ChildViewGen implements Serializable {
	private static final long serialVersionUID = 97739362;
	protected ParentView parent;
	protected String oid;
	protected Date version;
	protected String firstName;
	protected String lastName;
	protected String parentOid;
	
	public ParentView getParent() {
		return this.parent;
	}
	
	public void setParent(ParentView parent) {
		this.parent=parent;
	}
	
	public String getOid() {
		return this.oid;
	}
	
	public void setOid(String oid) {
		this.oid=oid;
	}
	
	public Date getVersion() {
		return this.version;
	}
	
	public void setVersion(Date version) {
		this.version=version;
	}
	
	public String getFirstName() {
		return this.firstName;
	}
	
	public void setFirstName(String firstName) {
		this.firstName=firstName;
	}
	
	public String getLastName() {
		return this.lastName;
	}
	
	public void setLastName(String lastName) {
		this.lastName=lastName;
	}
	
	public String getParentOid() {
		return this.parentOid;
	}
	
	public void setParentOid(String parentOid) {
		this.parentOid=parentOid;
	}
	
	
	@Override
	public String toString() {
		StringBuilder toStringBuilder = new StringBuilder("ChildView [");
		toStringBuilder.append("oid=").append(getOid()).append(",");
		toStringBuilder.append("version=").append(getVersion()).append(",");
		toStringBuilder.append("firstName=").append(getFirstName()).append(",");
		toStringBuilder.append("lastName=").append(getLastName()).append(",");
		toStringBuilder.append("parentOid=").append(getParentOid());
		return toStringBuilder.append("]").toString();
	}
}
