package org.openxma.dsl.reference.mappertest.model.impl;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.Date;
import org.openxma.dsl.reference.mappertest.model.Person;

public abstract class PersonGenImpl implements Person {
	protected String oid;
	protected Date version;
	protected String firstName;
	protected String readOnlyName;
	protected String lastName;
	protected String emailAddress;
	protected Date birthDate;
	protected BigDecimal bigDecimalTest;
	protected Boolean booleanTest;
	protected Double doubleTest;
	protected Float floatTest;
	protected Integer integerTest;
	protected Long longTest;
	protected Timestamp timestampTest;
	
	public String getOid() {
		return this.oid;
	}
	
	public void setOid(String oid) {
		this.oid = oid;
	}
	
	public Date getVersion() {
		return this.version;
	}
	
	public void setVersion(Date version) {
		this.version = version;
	}
	
	public String getFirstName() {
		return this.firstName;
	}
	
	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}
	
	public String getReadOnlyName() {
		return this.readOnlyName;
	}
	
	
	public String getLastName() {
		return this.lastName;
	}
	
	public void setLastName(String lastName) {
		this.lastName = lastName;
	}
	
	public String getEmailAddress() {
		return this.emailAddress;
	}
	
	public void setEmailAddress(String emailAddress) {
		this.emailAddress = emailAddress;
	}
	
	public Date getBirthDate() {
		return this.birthDate;
	}
	
	public void setBirthDate(Date birthDate) {
		this.birthDate = birthDate;
	}
	
	public BigDecimal getBigDecimalTest() {
		return this.bigDecimalTest;
	}
	
	public void setBigDecimalTest(BigDecimal bigDecimalTest) {
		this.bigDecimalTest = bigDecimalTest;
	}
	
	public Boolean getBooleanTest() {
		return this.booleanTest;
	}
	
	public void setBooleanTest(Boolean booleanTest) {
		this.booleanTest = booleanTest;
	}
	
	public Double getDoubleTest() {
		return this.doubleTest;
	}
	
	public void setDoubleTest(Double doubleTest) {
		this.doubleTest = doubleTest;
	}
	
	public Float getFloatTest() {
		return this.floatTest;
	}
	
	public void setFloatTest(Float floatTest) {
		this.floatTest = floatTest;
	}
	
	public Integer getIntegerTest() {
		return this.integerTest;
	}
	
	public void setIntegerTest(Integer integerTest) {
		this.integerTest = integerTest;
	}
	
	public Long getLongTest() {
		return this.longTest;
	}
	
	public void setLongTest(Long longTest) {
		this.longTest = longTest;
	}
	
	public Timestamp getTimestampTest() {
		return this.timestampTest;
	}
	
	public void setTimestampTest(Timestamp timestampTest) {
		this.timestampTest = timestampTest;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((getOid() == null) ? 0 : getOid().hashCode());
		return result;
	}
	
	@Override
	public boolean equals(Object obj) {
		if (this == obj) {
			return true;
		}
		if (obj == null) {
			return false;
		}
		if (!(obj instanceof Person)) {
			return false;
		}
		Person other = (Person) obj;
		if (getOid() == null) {
			if (other.getOid() != null) {
				return false;
			}
		} else if (!getOid().equals(other.getOid())) {
			return false;
		}
		return true;
	}
	
	@Override
	public String toString() {
		StringBuilder toStringBuilder = new StringBuilder("Person [");
		toStringBuilder.append("oid=").append(getOid()).append(",");
		toStringBuilder.append("version=").append(getVersion()).append(",");
		toStringBuilder.append("firstName=").append(getFirstName()).append(",");
		toStringBuilder.append("readOnlyName=").append(getReadOnlyName()).append(",");
		toStringBuilder.append("lastName=").append(getLastName()).append(",");
		toStringBuilder.append("emailAddress=").append(getEmailAddress()).append(",");
		toStringBuilder.append("birthDate=").append(getBirthDate()).append(",");
		toStringBuilder.append("bigDecimalTest=").append(getBigDecimalTest()).append(",");
		toStringBuilder.append("booleanTest=").append(getBooleanTest()).append(",");
		toStringBuilder.append("doubleTest=").append(getDoubleTest()).append(",");
		toStringBuilder.append("floatTest=").append(getFloatTest()).append(",");
		toStringBuilder.append("integerTest=").append(getIntegerTest()).append(",");
		toStringBuilder.append("longTest=").append(getLongTest()).append(",");
		toStringBuilder.append("timestampTest=").append(getTimestampTest());
		return toStringBuilder.append("]").toString();
	}
}
