package org.openxma.dsl.reference.validation;

import org.openxma.dsl.reference.base.validation.BaseEntityValidator;
import org.openxma.dsl.reference.model.VOData;
import org.springframework.validation.Errors;
import static org.openxma.dsl.platform.validation.ValidatorsHelper.*;


@SuppressWarnings("boxing")
public abstract class VODataGenValidator extends BaseEntityValidator {
	
	@SuppressWarnings("unchecked")
	public boolean supports(Class clazz) {
		return VOData.class.isAssignableFrom(clazz);
	}
	
	public Errors validate(VOData vOData) {
		Errors errors = createErrors(vOData);
		super.validate(vOData,errors);
		validate(vOData,errors);
		return errors;
	}
	
	public void validate(Object object, Errors errors) {
		VOData vOData = (VOData) object;
	}
}
